###  | # Boost.Threads ## thread_resource_error

Introduction
Header
Synopsis
Members
Example

## Introduction

The `thread_resource_error` class defines an exception type that is thrown by constructors in the Boost.Threads library when thread related resources can not be acquired. This does not include memory allocation failures which instead throw std::bad_alloc.

## Header

    #include <boost/thread/exceptions.hpp>

## Synopsis

    namespace boost
    {
        class thread_resource_error : public std::runtime_error
        {
        public:
           thread_resource_error();
        };
    }

## Members

### Constructor

        thread_resource_error();

Constructs a `thread_resource_error` object.

Revised 05 November, 2001

© Copyright William E. Kempf 2001 all rights reserved.